Get User Profile
curl --request GET \
--url https://api.example.com/api/auth/profile/import requests
url = "https://api.example.com/api/auth/profile/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/auth/profile/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"email": "user@example.com",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"short_name": "John",
"phone_number": "+255614853618",
"timezone": "Africa/Dar_es_Salaam",
"avatar": null,
"bio": "",
"is_verified": true,
"email_notifications": true,
"sms_notifications": false,
"created_at": "2025-11-27T10:30:00Z",
"updated_at": "2025-11-27T10:30:00Z",
"last_login_at": "2025-11-27T10:30:00Z"
}
User Management
Get User Profile
GET
/
api
/
auth
/
profile
/
Get User Profile
Get current user’s profile information.
Requires authentication. Include the access token in the Authorization header.
Success Response (200)
integer
User ID
string
User email address
string
User’s first name
string
User’s last name
string
User’s full name
string
User’s short name
string
User’s phone number
string
User’s timezone
string
Avatar URL (nullable)
string
User bio
boolean
Email verification status
boolean
Email notifications enabled
boolean
SMS notifications enabled
{
"id": 1,
"email": "user@example.com",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"short_name": "John",
"phone_number": "+255614853618",
"timezone": "Africa/Dar_es_Salaam",
"avatar": null,
"bio": "",
"is_verified": true,
"email_notifications": true,
"sms_notifications": false,
"created_at": "2025-11-27T10:30:00Z",
"updated_at": "2025-11-27T10:30:00Z",
"last_login_at": "2025-11-27T10:30:00Z"
}
⌘I